Bug 1596760 - [Deployment] Live migrations failing when domain is incorrect
Summary: [Deployment] Live migrations failing when domain is incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Martin Schuppert
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On: 1559366 1614451 1657692 1720005
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-29 16:14 UTC by Jeremy
Modified: 2019-09-18 15:55 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.12-5.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1559366
Environment:
Last Closed: 2018-08-20 13:02:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:04:03 UTC
OpenStack gerrit 555317 None None None 2018-07-02 08:42:15 UTC
OpenStack gerrit 579544 None None None 2018-07-02 13:08:13 UTC
Launchpad 1758034 None None None 2018-06-29 16:14:04 UTC

Comment 7 Joe H. Rahme 2018-07-30 17:33:56 UTC
Verified by checking that live_migration_inbound_addr is set correctly:

[heat-admin@compute-0 ~]$ sudo docker exec -i nova_libvirt grep live_migration_inbound_addr /etc/nova/nova.conf
# * ``live_migration_tunnelled``: The live_migration_inbound_addr value is
#live_migration_inbound_addr=<None>
live_migration_inbound_addr=172.17.1.12
# * ``live_migration_inbound_addr``: If ``live_migration_inbound_addr`` value
# and ``live_migration_inbound_addr`` respectively.
# * ``live_migration_inbound_addr``: The live_migration_inbound_addr value is


And that block live migration works:


(overcloud) [stack@undercloud-0 ~]$ openstack server show vm1
+-------------------------------------+---------------------------------------------------------------------+
| Field                               | Value                                                               |
+-------------------------------------+---------------------------------------------------------------------+
| OS-DCF:diskConfig                   | MANUAL                                                              |
| OS-EXT-AZ:availability_zone         | nova                                                                |
| OS-EXT-SRV-ATTR:host                | compute-1.localdomain                                               |
| OS-EXT-SRV-ATTR:hypervisor_hostname | compute-1.localdomain                                               |
| OS-EXT-SRV-ATTR:instance_name       | instance-00000001                                                   |
| OS-EXT-STS:power_state              | Running                                                             |
| OS-EXT-STS:task_state               | None                                                                |
| OS-EXT-STS:vm_state                 | active                                                              |
| OS-SRV-USG:launched_at              | 2018-07-30T17:27:37.000000                                          |
| OS-SRV-USG:terminated_at            | None                                                                |
| accessIPv4                          |                                                                     |
| accessIPv6                          |                                                                     |
| addresses                           | nova=10.0.0.210                                                     |
| config_drive                        |                                                                     |
| created                             | 2018-07-30T17:27:22Z                                                |
| flavor                              | m1.micro (40efafd6-eeb7-4688-95ac-47d286baf3ce)                     |
| hostId                              | 6cee379e8bf963be56b72d206baf7ce2b52a74fc915eb8dc38541d7e            |
| id                                  | e83e5dc5-15d9-43c0-a40b-a876be2149ce                                |
| image                               | cirros-0.3.5-x86_64-disk.img (c27f5cfa-9db3-4724-b674-a22cc1d7157d) |
| key_name                            | None                                                                |
| name                                | vm1                                                                 |
| progress                            | 0                                                                   |
| project_id                          | 49fbfa669d784274ad6cadbed285c3ea                                    |
| properties                          |                                                                     |
| security_groups                     | name='default'                                                      |
| status                              | ACTIVE                                                              |
| updated                             | 2018-07-30T17:27:37Z                                                |
| user_id                             | 83f4a4baa55d43a89d24fc42c5c5bffd                                    |
| volumes_attached                    |                                                                     |
+-------------------------------------+---------------------------------------------------------------------+
(overcloud) [stack@undercloud-0 ~]$ openstack server migrate --live compute-0.localdomain --block-migration vm1
(overcloud) [stack@undercloud-0 ~]$ sleep 5; openstack server show vm1
+-------------------------------------+---------------------------------------------------------------------+
| Field                               | Value                                                               |
+-------------------------------------+---------------------------------------------------------------------+
| OS-DCF:diskConfig                   | MANUAL                                                              |
| OS-EXT-AZ:availability_zone         | nova                                                                |
| OS-EXT-SRV-ATTR:host                | compute-0.localdomain                                               |
| OS-EXT-SRV-ATTR:hypervisor_hostname | compute-0.localdomain                                               |
| OS-EXT-SRV-ATTR:instance_name       | instance-00000001                                                   |
| OS-EXT-STS:power_state              | Running                                                             |
| OS-EXT-STS:task_state               | None                                                                |
| OS-EXT-STS:vm_state                 | active                                                              |
| OS-SRV-USG:launched_at              | 2018-07-30T17:27:37.000000                                          |
| OS-SRV-USG:terminated_at            | None                                                                |
| accessIPv4                          |                                                                     |
| accessIPv6                          |                                                                     |
| addresses                           | nova=10.0.0.210                                                     |
| config_drive                        |                                                                     |
| created                             | 2018-07-30T17:27:22Z                                                |
| flavor                              | m1.micro (40efafd6-eeb7-4688-95ac-47d286baf3ce)                     |
| hostId                              | 877edd7b551d76db1040dcbe8af4186f7d98d2762361e059af55647c            |
| id                                  | e83e5dc5-15d9-43c0-a40b-a876be2149ce                                |
| image                               | cirros-0.3.5-x86_64-disk.img (c27f5cfa-9db3-4724-b674-a22cc1d7157d) |
| key_name                            | None                                                                |
| name                                | vm1                                                                 |
| progress                            | 0                                                                   |
| project_id                          | 49fbfa669d784274ad6cadbed285c3ea                                    |
| properties                          |                                                                     |
| security_groups                     | name='default'                                                      |
| status                              | ACTIVE                                                              |
| updated                             | 2018-07-30T17:32:22Z                                                |
| user_id                             | 83f4a4baa55d43a89d24fc42c5c5bffd                                    |
| volumes_attached                    |                                                                     |
+-------------------------------------+---------------------------------------------------------------------+

Comment 9 errata-xmlrpc 2018-08-20 13:02:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.